Bug 440484 - nautilus occasionally crashes on resume after suspend
nautilus occasionally crashes on resume after suspend
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 14:40 EDT by jmccann
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 17:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2008-04-03 14:40:37 EDT
Tried to file this upstream using bug buddy but it was rejected:

This bug is fixed:
gnome-desktop-2.18.3-4.fc7 has been pushed to the Fedora 7 stable repository.
gnome-desktop-2.20.1-2.fc8 has been pushed to the Fedora 8 stable repository.
Please make sure to install these updates.
If problems still persist, please make note of it in the redhat bug report at
https://bugzilla.redhat.com/show_bug.cgi?id=344461 .



Backtrace was generated from '/usr/bin/nautilus'

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb801e730 (LWP 3619)]
0x00110416 in __kernel_vsyscall ()
#0  0x00110416 in __kernel_vsyscall ()
#1  0x009c905b in waitpid () from /lib/libpthread.so.0
#2  0x00a7a887 in g_spawn_sync () from /lib/libglib-2.0.so.0
#3  0x00a7abcc in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
#4  0x00183253 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  0x001837d8 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#6  0x00183893 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
  from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#7  0x00183e23 in google_breakpad::ExceptionHandler::HandleException ()
  from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#8  <signal handler called>
#9  get_pixbuf (bg=<value optimized out>) at gnome-bg.c:1325
#10 0x05dfa39b in gnome_bg_create_pixmap (bg=<value optimized out>,
   window=<value optimized out>, width=<value optimized out>,
   height=<value optimized out>, root=<value optimized out>)
   at gnome-bg.c:441
#11 0x05f59ffe in ?? () from /usr/lib/libeel-2.so.2
#12 0x05f5a119 in ?? () from /usr/lib/libeel-2.so.2
#13 0x05f5a305 in ?? () from /usr/lib/libeel-2.so.2
#14 0x00b0e834 in g_cclosure_marshal_VOID__VOID ()
  from /lib/libgobject-2.0.so.0
#15 0x00b0112b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#16 0x00b15757 in ?? () from /lib/libgobject-2.0.so.0
#17 0x00b16c0e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#18 0x00b17076 in g_signal_emit () from /lib/libgobject-2.0.so.0
#19 0x05f59b14 in ?? () from /usr/lib/libeel-2.so.2
#20 0x00b0e834 in g_cclosure_marshal_VOID__VOID ()
  from /lib/libgobject-2.0.so.0
#21 0x00b0112b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#22 0x00b15757 in ?? () from /lib/libgobject-2.0.so.0
#23 0x00b16c0e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#24 0x00b17076 in g_signal_emit () from /lib/libgobject-2.0.so.0
#25 0x05df9611 in emit_changed (bg=<value optimized out>) at gnome-bg.c:197
#26 0x05df965e in on_timeout (data=<value optimized out>) at gnome-bg.c:1079
#27 0x00a42676 in ?? () from /lib/libglib-2.0.so.0
#28 0x00a41f48 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#29 0x00a454ab in ?? () from /lib/libglib-2.0.so.0
#30 0x00a4597a in g_main_loop_run () from /lib/libglib-2.0.so.0
#31 0x0050c8e9 in IA__gtk_main () at gtkmain.c:1163
#32 0x0807c52c in eel_marshal_BOOLEAN__BOOLEAN ()
#33 0x0082d5d6 in __libc_start_main (main=) at libc-start.c:220
#34 0x08066c61 in eel_marshal_BOOLEAN__BOOLEAN ()

Thread 1 (Thread 0xb801e730 (LWP 3619)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x009c905b in waitpid () from /lib/libpthread.so.0
No locals.
#2  0x00a7a887 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00a7abcc in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00183253 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x001837d8 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x00183893 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
  from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  0x00183e23 in google_breakpad::ExceptionHandler::HandleException ()
  from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#8  <signal handler called>
No symbol table info available.
#9  get_pixbuf (bg=<value optimized out>) at gnome-bg.c:1325
       size = <value optimized out>
       p1 = <value optimized out>
       p2 = <value optimized out>
       alpha = <value optimized out>
       slide = <value optimized out>
       show = <value optimized out>
       ref = <value optimized out>
#10 0x05dfa39b in gnome_bg_create_pixmap (bg=<value optimized out>,
   window=<value optimized out>, width=<value optimized out>,
   height=<value optimized out>, root=<value optimized out>)
   at gnome-bg.c:441
       pm_width = <value optimized out>
       pm_height = <value optimized out>
       pixmap = <value optimized out>
       __PRETTY_FUNCTION__ = "gnome_bg_create_pixmap"
#11 0x05f59ffe in ?? () from /usr/lib/libeel-2.so.2
No symbol table info available.
#12 0x05f5a119 in ?? () from /usr/lib/libeel-2.so.2
No symbol table info available.
#13 0x05f5a305 in ?? () from /usr/lib/libeel-2.so.2
No symbol table info available.
#14 0x00b0e834 in g_cclosure_marshal_VOID__VOID ()
  from /lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x00b0112b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#16 0x00b15757 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x00b16c0e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x00b17076 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x05f59b14 in ?? () from /usr/lib/libeel-2.so.2
No symbol table info available.
#20 0x00b0e834 in g_cclosure_marshal_VOID__VOID ()
  from /lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x00b0112b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x00b15757 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x00b16c0e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x00b17076 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#25 0x05df9611 in emit_changed (bg=<value optimized out>) at gnome-bg.c:197
No locals.
#26 0x05df965e in on_timeout (data=<value optimized out>) at gnome-bg.c:1079
       bg = <value optimized out>
#27 0x00a42676 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#28 0x00a41f48 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#29 0x00a454ab in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#30 0x00a4597a in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#31 0x0050c8e9 in IA__gtk_main () at gtkmain.c:1163
       tmp_list = #0  0x00110416 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
Comment 1 Matthias Clasen 2008-04-04 17:43:41 EDT
Should be fixed in todays build.

Note You need to log in before you can comment on or make changes to this bug.